package com.factory.web.mapper.pm;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.factory.base.entity.po.benteler.BentelerPlan;
import com.factory.web.entity.pm.req.SearchPmPlanListReq;
import com.factory.web.entity.pm.res.PmPlanListRes;

/**
 * 防错计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Mapper
public interface PreventMistakeMapper extends BaseMapper<BentelerPlan> {

	/**
     * 取得防错计划列表
     * @param page
     * @param req
     * @return 防错计划列表
     */
    public Page<PmPlanListRes> getPmPlanList(@Param("page") Page page, @Param("req") SearchPmPlanListReq req);
}
