package com.factory.web.service.impl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;

@Data
@TableName("onsite_title_blob")
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TestEntry {

    @TableId(type = IdType.AUTO)
    private Long id;

    private Long bentelerPlanId;

    private byte[] titleContent;
    @TableField(exist = false)
    private String titleContentStr;
}