package com.factory.web.service.impl.pm;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.factory.web.entity.pm.OnsiteTitleBlob;
import com.factory.web.mapper.pm.OnsiteTitleBlobMapper;
import com.factory.web.service.pm.OnsiteTitleBlobService;


/**
 * 表头信息
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Service("onsiteTitleBlobService")
@Transactional(rollbackFor = Exception.class)
public class OnsiteTitleBlobServiceImpl extends ServiceImpl<OnsiteTitleBlobMapper, OnsiteTitleBlob> implements OnsiteTitleBlobService {

}