package com.jihengbel.intelligent.applicationtask.service.impl;

import com.jihengbel.intelligent.applicationtask.entry.OnsiteCalendar;
import com.jihengbel.intelligent.applicationtask.entry.OnsiteTask;
import com.jihengbel.intelligent.applicationtask.model.OnsiteTaskMapper;
import com.jihengbel.intelligent.applicationtask.service.OnsiteTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

@Service("onsiteTaskServiceImp")
public class OnsiteTaskServiceImp implements OnsiteTaskService {

    @Autowired
    OnsiteTaskMapper mapper;

    @Override
    @Transactional(rollbackFor = Throwable.class)
    public int insertOnsiteTask(OnsiteTask task) {
        return mapper.insertOnsiteTask(task);
    }


    /**
     * 获取对应的规则
     * @param paarm
     * @return
     */
    public List<OnsiteCalendar> getCalenderOnsitesForType(Map<String,Object> param){
        return mapper.getCalenderOnsitesForType(param);
    }
}
