package com.factory.web.entity.pm.res;

import com.fasterxml.jackson.annotation.JsonInclude;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 防错计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude()
@ApiModel("")
public class PmPlanListRes {

	@ApiModelProperty(value = "计划ID")
	private Long bentelerPlanId;

	@ApiModelProperty(value = "计划名称")
	private String bentelerPlanName;

	@ApiModelProperty(value = "检验负责人")
	private String checkPerson;

	@ApiModelProperty(value = "计划状态")
	private String planStatus;

	@ApiModelProperty(value = "计划创建日期")
	private Long createdTime;

}
