package com.jihengbel.intelligent.applicationtask.model;


import com.jihengbel.intelligent.applicationtask.entry.OnsiteCalendar;
import com.jihengbel.intelligent.applicationtask.entry.OnsiteTask;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface OnsiteTaskMapper {
    /**
     * 添加当天任务
     *
     * @param task
     * @return
     */
    public int insertOnsiteTask(OnsiteTask task);

    /**
     * 获取对应的规则
     * @param paarm
     * @return
     */
    public List<OnsiteCalendar> getCalenderOnsitesForType(Map<String,Object> param);


    /**
     * 需要提醒的工作
     * @param param
     * @return
     */
    public List<OnsiteCalendar> getRemindWork(Map<String,Object> param);




}
