package com.jihengbel.intelligent.applicationtask.websocket;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.socket.TextMessage;
import org.springframework.web.socket.WebSocketSession;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

@RestController
public class Test {

    /**
     *
     * @throws IOException
     */
    @GetMapping("/websocket/pushone")
    public void pushTest() throws IOException {
        List<String> pool = new ArrayList<String>( WsSessionManager.SESSION_POOL.keySet());
        for(String key:pool){
            try {
                sendMsgtoPad(key);
            }catch (Throwable e){
                WsSessionManager.removeAndClose(key);//异常移除以免内存泄漏
            }
        }
    }




    private void sendMsgtoPad(String key) throws IOException {
        WebSocketSession session=WsSessionManager.get(key);
        if(session!=null){
            session.sendMessage(new TextMessage("test111111111111111111111111111啥地方啥地方回家"));
        }
    }
}
